> ## Documentation Index
> Fetch the complete documentation index at: https://www.fastforex.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert an Amount of Currency or Cryptocurrency

> Convert an amount of one currency into another currency (supports physical and digital currencies)



## OpenAPI

````yaml get /convert
openapi: 3.0.3
info:
  title: fastFOREX.io
  version: 2.3.2
  description: Foreign & cryptocurrency exchange rate API
  termsOfService: https://www.fastforex.io/terms-of-sale
  contact:
    email: support@fastforex.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.fastforex.io
    description: Production
  - url: https://api.beta.fastforex.io
    description: Beta
security:
  - api_key: []
  - apiKeyHeader: []
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: currency
    description: Physical currencies, rates and conversions
  - name: crypto
    description: Digital currencies, pairs & prices
  - name: fx
    description: Realtime FX trading pairs - instruments, prices and history
  - name: admin
    description: Account admin
  - name: plan-one
    description: Available on The One Plan
  - name: plan-extra
    description: Available on The Extra Plan
  - name: plan-premium
    description: Available on The Premium Plan
externalDocs:
  description: Find out more about fastFOREX.io
  url: https://www.fastforex.io
paths:
  /convert:
    get:
      tags:
        - currency
        - crypto
        - plan-one
        - plan-extra
        - plan-premium
      description: >-
        Convert an amount of one currency into another currency (supports
        physical and digital currencies)
      parameters:
        - name: from
          in: query
          description: Base currency symbol (physical or digital)
          required: false
          allowEmptyValue: true
          schema:
            $ref: '#/components/schemas/AnyCurrency'
        - name: to
          in: query
          description: Target currency symbol (physical or digital)
          required: true
          schema:
            $ref: '#/components/schemas/AnyCurrency'
        - name: amount
          in: query
          description: Amount of source currency to convert
          required: true
          schema:
            type: number
            format: float
            minimum: 0.01
        - name: precision
          in: query
          description: >-
            Rounding precision for converted amount, defaults to 2 decimal
            places
          required: false
          schema:
            type: integer
            minimum: 0
            maximum: 20
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  base:
                    $ref: '#/components/schemas/AnyCurrency'
                  ms:
                    $ref: '#/components/schemas/ResponseTime'
                  amount:
                    type: number
                    format: float
                  result:
                    type: object
                    minProperties: 2
                    maxProperties: 2
                    properties:
                      rate:
                        type: number
                        format: float
                    additionalProperties:
                      type: number
                      format: float
              example:
                base: USD
                amount: 199.5
                result:
                  EUR: 164.29
                  rate: 0.82353
                ms: 7
        '400':
          description: Bad Request
        '401':
          description: Not Authorized
        '403':
          description: Forbidden
        '429':
          description: Rate limit exceeded
components:
  schemas:
    AnyCurrency:
      type: string
      pattern: '[A-Z0-9]{3,6}'
      description: Currency code for a physical or digital/cryptocurrency
    ResponseTime:
      type: number
      format: int32
      description: Server response time in milliseconds
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: query
    apiKeyHeader:
      type: apiKey
      name: X-API-KEY
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api_key
    basicAuth:
      type: http
      scheme: basic

````